Page MenuHomePhabricator

Disable most client-side DOM transformations
Closed, ResolvedPublic

Description

We still need the creation of section headers.

Should have a flag like isRb, similar to is MainPage, passed over the JS bridge to disable some of the DOM transformations.

Probably still have to do the image widening transformation on the client since it's dependent on the device width.

Check current DOM transformation in app and compare that with what we have on the service.

Event Timeline

bearND created this task.Sep 3 2015, 8:13 PM
bearND raised the priority of this task from to Needs Triage.
bearND updated the task description. (Show Details)
bearND added a subscriber: bearND.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 8:13 PM
bearND triaged this task as High priority.Sep 3 2015, 8:13 PM
bearND added a project: Mobile-Content-Service.
bearND set Security to None.
Mholloway moved this task from Backlog to Doing on the Mobile-Content-Service board.
Mholloway removed Mholloway as the assignee of this task.Sep 10 2015, 6:52 PM
Mholloway moved this task from Doing to Backlog on the Mobile-Content-Service board.
Mholloway added a subscriber: Mholloway.

Change 238602 had a related patch set uploaded (by Mholloway):
WIP: Disable client-side JS transforms when loading from RESTBase

https://gerrit.wikimedia.org/r/238602

Mholloway removed Mholloway as the assignee of this task.Nov 2 2015, 4:40 PM

Change 238602 abandoned by Mholloway:
WIP: Disable client-side JS transforms when loading from RESTBase

https://gerrit.wikimedia.org/r/238602

Change 251539 had a related patch set uploaded (by BearND):
Disable some DOM transformations for RESTBase users

https://gerrit.wikimedia.org/r/251539

bearND moved this task from Doing to Code Review on the Mobile-App-Android-Sprint-69-Thulium board.

Change 251539 merged by jenkins-bot:
Disable some DOM transformations for RESTBase users

https://gerrit.wikimedia.org/r/251539

bearND closed this task as Resolved.Nov 18 2015, 6:43 PM